## thunderbird 38.5.1+build2

=== debian/changelog ===
thunderbird (1:38.5.1+build2-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_38_5_1_BUILD2)
    - see USN-2859-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 06 Jan 2016 09:17:20 +0000

thunderbird (1:38.4.0+build3-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_38_4_0_BUILD3)
    - see USN-2819-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 25 Nov 2015 19:25:58 +0000

thunderbird (1:38.3.0+build1-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_38_3_0_BUILD1)
    - see USN-2754-1

  * Disable the crash reporter as symbol uploads are currently broken. This
    means that Apport will be catching crashes for now

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 30 Sep 2015 11:46:12 +0100

thunderbird (1:38.2.0+build1-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_38_2_0_BUILD1)
    - see USN-2712-1

  * Switch to comm-esr38
    - update debian/config/branch.mk
  * Don't hardcode -mfloat-abi=softfp in libvpx
    - add debian/patches/dont-hardcode-softfp-on-armhf.patch
    - update debian/patches/series
  * Drop debian/patches/no_neon_on_arm.patch. This shouldn't beneeded
    anymore, because:
    - since it was added, most code that uses NEON intrinsics and assembly
      code using NEON instructions is disabled if the target is < armv7
    - Code that uses NEON intrinsics, when compiled, is hidden behind a
      runtime check (so doesn't run on systems that don't support those
      instructions).
    - Code in media/libvpx unconditionally compiles code that uses NEON
      intrinsics anyway, even if the target is < armv7 (but the code is
      compiled with -march=armv7-a and is hidden behind a runtime check for
      NEON support)
  * Refresh patches
    - update debian/patches/dont-include-hyphenation-patterns.patch
    - update debian/patches/unity-menubar.patch
  * Don't try to download python-blessings from the network - use the in-tree
    copy
    - add debian/patches/dont-install-blessings-from-network.patch
    - update debian/patches/series
  * Add Welsh, Lower Sorbian and Upper Sorbian language packs
  * Disable all of the testsuite related patches and don't install anything
    in to the testsuite package for now. The patches have all bit-rotted,
    we're not running any tests and nobody is driving that anymore
  * Don't clone the nightly profile from the default profile at startup
    - update debian/thunderbird.sh.in
  * Don't use --with-app-basename to create the co-installable nightly build
    as it's not useful anymore, and changing the application name to
    "Thunderbird-Trunk" has always been problematic for code / addons that check
    the appname. Continue to use --with-app-name as before (which just changes
    the install name and the remoting name), and add a patch to introduce
    --with-app-profile, which allows us to change the profile location
    - update debian/build/rules.mk
    - update debian/build/config.mk
    - update debian/config/mozconfig.in
    - update debian/rules
    - add debian/patches/support-coinstallable-trunk-build.patch
    - add debian/patches/set-prgname-to-remoting-name.patch
    - update debian/patches/series
  * Drop debian/patches/revert-removal-of-native-notifications.patch - fixed
    upstream
  * Reenable system alerts, which were disabled upstream
    - update debian/vendor.js

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 17 Aug 2015 22:54:00 +0100

thunderbird (1:31.8.0+build1-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_31_8_0_BUILD1)
    - see USN-2673-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 15 Jul 2015 16:24:24 +0100

thunderbird (1:31.7.0+build1-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_31_7_0_BUILD1)
    - see USN-2603-1

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 11 May 2015 10:58:52 +0100
