## thunderbird 45.2.0+build1

=== debian/changelog ===
thunderbird (1:45.2.0+build1-0ubuntu0.15.10.1) wily-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_45_2_0_BUILD1)
    - see USN-3023-1

  * Refresh patches:
    - update debian/patches/unity-menubar.patch
    - update debian/patches/support-coinstallable-trunk-builds.patch
    - update debian/patches/dont-include-hyphenation-patterns.patch
  * Remove patches fixed upstream
    - remove debian/patches/dont-hardcode-softfp-on-armhf.patch
    - remove debian/patches/libjpeg-turbo-arm64-fix.patch
    - update debian/patches/series
  * Update debian/thunderbird.install.in now that the theme is not unpacked
  * libmozgnome.so no longer exists - update debian/thunderbird.install.in
  * Add build-depends on libgtk-3-dev
  * Update unity-menubar.patch to work with GTK3
  * Build-depend on hardening-wrapper
  * Install compare-locales in to the virtualenv with --old-and-unmanageable -
    the fix for bmo: #1188224 is incompatible with zipped eggs
  * Drop the eds addon from the packaging for now - nobody is maintaining it
  * Ensure the autopkgtests don't run
    - remove debian/tests/control
    - update debian/build/rules.mk
  * Bundle our checkout of compare-locales in a different location, given
    that the Mozilla repo now contains a different version of it in the
    location we used previously
    - update debian/build/rules.mk
    - update debian/build/create-tarball.py

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 04 Jul 2016 16:08:44 +0100

thunderbird (1:38.8.0+build1-0ubuntu0.15.10.1) wily-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_38_8_0_BUILD1)
    - see USN-2973-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 11 May 2016 16:39:12 +0100

thunderbird (1:38.7.2+build1-0ubuntu0.15.10.1) wily-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_38_7_1_BUILD1)
    - see USN-2934-1

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 15 Mar 2016 16:26:38 +0000

thunderbird (1:38.6.0+build1-0ubuntu0.15.10.1) wily-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_38_6_0_BUILD1)
    - see USN-2904-1

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 19 Feb 2016 17:23:59 +0000

thunderbird (1:38.5.1+build2-0ubuntu0.15.10.1) wily-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_38_5_1_BUILD2)
    - see USN-2859-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 06 Jan 2016 09:11:03 +0000

thunderbird (1:38.4.0+build3-0ubuntu0.15.10.1) wily-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_38_4_0_BUILD3)
    - see USN-2819-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 25 Nov 2015 19:13:14 +0000
