=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
 	libxt-dev,
 	libxext-dev,
 	libgtk2.0-dev (>= 2.14),
+	libgtk-3-dev (>= 3.4),
 	libglib2.0-dev (>= 2.18),
 	libpango1.0-dev (>= 1.14.0),
 	libfontconfig1-dev,
@@ -24,6 +25,7 @@
 	libasound2-dev,
 	libcurl4-openssl-dev,
 	libdbus-glib-1-dev (>= 0.60),
+	hardening-wrapper,
 	lsb-release,
 	libiw-dev,
 	mesa-common-dev,
@@ -247,4 +249,3 @@
 
 Package: thunderbird-locale-bn-bd
 Architecture: all
-Depends: thunderbird-locale-bn, ${misc:Depends}
