## thunderbird 45.3.0+build1

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,8 @@
 	dbus-x11,
 	xvfb,
 	python (>= 2.7),
-	libffi-dev (>= 3.0.9) [arm64]
+	libffi-dev (>= 3.0.9) [arm64],
+	g++-5
 #Build-Conflicts: python-progressbar
 Standards-Version: 3.9.1
 #XS-Testsuite: autopkgtest
