## thunderbird 45.8.0+build1

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
-Vcs-Bzr: https://code.launchpad.net/~mozillateam/thunderbird/thunderbird.wily
+Vcs-Bzr: https://code.launchpad.net/~mozillateam/thunderbird/thunderbird.zesty
 Build-Depends: cdbs (>= 0.4.27),
 	debhelper (>= 7),
 	autotools-dev,
@@ -25,7 +25,6 @@
 	libasound2-dev,
 	libcurl4-openssl-dev,
 	libdbus-glib-1-dev (>= 0.60),
-	hardening-wrapper,
 	lsb-release,
 	libiw-dev,
 	mesa-common-dev,
