## thunderbird 52.2.1+build1

=== debian/changelog ===
thunderbird (1:52.2.1+build1-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_52_2_1_BUILD1)
    - see USN-3321-1

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 19 Jun 2017 16:20:22 +0100

thunderbird (1:52.1.1+build1-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_52_1_1_BUILD1)
    - see USN-3278-1

  [ Chris Coulson ]
  * Update and reenable unity-menubar.patch
  * Refresh patches:
    - update debian/patches/support-coinstallable-trunk-build.patch
  * Ensure we generate all of the required checksum files for FIPS mode
    to work correctly
    - update debian/build/rukes.mk

  [ Rico Tzschichholz ]
  * Unconditionally build-dep on libffi-dev
  * Refresh patches
    - update debian/patches/support-coinstallable-trunk-build.patch
    - update debian/patches/unity-menubar.patch
  * Pass "-Wnull-dereference -fno-delete-null-pointer-checks" as workaround
    for compilation with GCC6
    See https://bugzilla.mozilla.org/show_bug.cgi?id=1251576
  * Add build-dep on libx11-xcb-dev
  * Install the gtk2 directory and ICU data file
    - update debian/thunderbird.install.in

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 05 May 2017 20:38:48 +0100

thunderbird (1:45.8.0+build1-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_45_8_BUILD1)
    - see USN-3233-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 15 Mar 2017 12:24:45 +0000

thunderbird (1:45.7.0+build1-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_45_7_0_BUILD1)
    - see USN-3165-1

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 09 Jan 2017 13:27:35 +0000

thunderbird (1:45.5.1+build1-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_45_5_1_BUILD1)
    - see USN-3141-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 30 Nov 2016 09:52:03 +0000

thunderbird (1:45.4.0+build1-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_45_4_0_BUILD1)
    - see USN-3112-1

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 25 Oct 2016 15:35:50 +0100
